- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: db92db16-a295-481b-9aa5-e05e3f127fef
    creation_time: 2023-02-17T13:40:41.421454Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_10.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_10.c: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_10.c
    file_hash: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
    line: 11
    column: 0
    function: main
  loop_invariant:
    string: y == 10000000 && (x < z && z == 5000000 || 5000000 <= x && x == z)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 260981b9-6faf-4b48-9925-d6ad73d11700
    creation_time: 2023-02-17T13:40:41.421848Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_10.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_10.c: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_10.c
    file_hash: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
    line: 17
    column: 0
    function: main
  location_invariant:
    string: z == x
    type: assertion
    format: C

